Subject: Re: [PATCH v3] t: use pre-defined utf-8 locale for testing svn

From: Đoàn Trần Công Danh <[email-masked]>
Date: Tue, 8 Jun 2021 13:45:38 +0700

On 2021-06-08 02:35:30-0400, Jeff King <[email-masked]> wrote:
> On Mon, Jun 07, 2021 at 10:01:12AM +0900, Junio C Hamano wrote:
> 
> > >> I kind of wonder if trying "C.UTF-8" would be a reasonable fallback so
> > >> that people don't even have to set this extra Makefile knob. But I'm not
> > >> sure if we have a good way of testing if that locale works (if we can't
> > >> find the "locale" binary).
> > >
> > > I also think we should fallback to "C.UTF-8" instead of not testing those
> > > tests.  However, I don't know if there're any systems that not have "C.UTF-8"
> > > locale.
> > 
> > I do share the feeling, but have a hunch that systems lacking
> > "locale -a" may be either superset of, or has at least large overlap
> > with, those lacking "C.UTF-8", and the new mechanism introduced here
> > will cover both of them, so I think it is OK to stop here, at least
> > for now.
> 
> Yeah, I think it is OK to stop here, too. I'd worry that we'd make life
> unnecessarily complicated for people testing on platforms that lack
> "locale" and C.UTF-8, for little gain.

Argh, reading this and my patch again, I figured out a regression with
my patch when either LC_ALL and LANG is set but to something not
ending with utf-8 will ignore "locale -a" completely. I'll send
a reroll later. (With this reroll, we'll ignore the dumb ":", too.

> 
> The v4 patch looks good to me.
> 
> -Peff

-- 
Danh